$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-af6fcb19a8aeaf3ebc13aa1a32296d3075702214/rpcs3-v0.0.12-11082-af6fcb19_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = 'b72e520b975c297dd102b7410379fb64402c8b8e26119c089beae25f8e9b82c0'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
